@rem  THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@rem  5724-I04 (C) COPYRIGHT International Business Machines Corp., 2005, 2008
@rem  All Rights Reserved * Licensed Materials - Property of IBM
@rem  US Government Users Restricted Rights - Use, duplication or disclosure
@rem  restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off

setlocal

set IFIX=IC57378
set IFIX_LOG=%WVS_ROOT%\log\%IFIX%.log

echo  Ifix %IFIX%:
echo  THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
echo  5724-I04 (C) COPYRIGHT International Business Machines Corp., 2005, 2008
echo  All Rights Reserved * Licensed Materials - Property of IBM
echo  US Government Users Restricted Rights - Use, duplication or disclosure
echo  restricted by GSA ADP Schedule Contract with IBM Corp.
echo.
echo    Please allow the ifix installation to run to completion. i.e. do not control-c
echo.
echo    Please review the readme_%IFIX%.txt file delivered with this ifix
echo    before proceeding...
echo.
echo.
pause

@rem -------------------------------------------------------------------------------------
@rem ---- Validate environment settings and parameters
@rem -------------------------------------------------------------------------------------
IF [%1] ==[] GOTO Syntax

@rem -------------------------------------------------------------------------------------
@rem ---- Try to setup the WAS command line environment by using the default 
@rem ---- WAS install location
@rem -------------------------------------------------------------------------------------

if EXIST "C:\Program Files\WebSphere\AppServer\bin\setupCmdLine.bat" goto setupwas
   GOTO checkenv

:setupwas
call "C:\Program Files\WebSphere\AppServer\bin\setupCmdLine.bat"

:checkenv
IF  "%WAS_HOME%".== "". goto washome

IF  "%WVS_ROOT%".== "". goto wvsroot

GOTO:parms

:Syntax
 @echo.
 @echo ifix_%IFIX%: WVS Ifix %IFIX% Installer
 @echo  to install ifix  syntax: ifix_%IFIX%.bat -install
 @echo  to uninstall ifix  syntax: ifix_%IFIX%.bat -uninstall
 @echo  off
 GOTO:EOF

:washome
  @echo.
  @echo ifix_%IFIX%: Please run WebSphere Application Servers setupCmdLine.bat to setup
  @echo          the WAS Command line environment
  @echo ifix_%IFIX%: The WebSphere Application Servers setupCmdLine.bat is located in WAS_HOME/bin directory.
  @echo.
  pause
  GOTO:EOF

:wvsroot
  @echo.
  @echo ifix_%IFIX%: Please configure WebSphere Voice Server wvs.setenv according
  @echo          to the WVS InfoCenter
  @echo.
  pause
  GOTO:EOF

:parms
set installoption=false
set uninstalloption=false

:loop
if '%1'=='-install' goto installoption
if '%1'=='-uninstall' goto uninstalloption
if '%1'=='' goto syntax
goto syntax

:installoption
set installoption=true
GOTO:GO

:uninstalloption
set uninstalloption=true
GOTO:GO


:GO

pushd

if  "%installoption%" == "true" goto installparm

if  "%uninstalloption%" == "true" goto uninstallparm

:installparm
  if NOT EXIST %WVS_ROOT%\ifix\%IFIX%\voiceTest.jar.bak goto installedfpcheck
    echo.
	echo "ifix_%IFIX%: Ifix %IFIX% is applied, please uninstall before trying to reinstall ifix"
	echo.
    goto:EOF

:installedfpcheck
  if EXIST %WVS_ROOT%\fixes\5.1.3.3 goto installifix
	echo.
    echo "ifix_%IFIX%: Ifix %IFIX% requires that FP3 is applied, please install FP3 before trying to reinstall ifix"
	echo.
    goto:EOF

@rem -------------------------------------------------------------------------------------
@rem ---- Everything ok, proceed with installation
@rem -------------------------------------------------------------------------------------    
:installifix

  @rem ----------------------------------------------------------------------------------
  @rem ---- Quick check to make sure we're in the right directory
  @rem ----------------------------------------------------------------------------------
  @echo ifix_%IFIX%: Checking for ifix files ...
  @echo ifix_%IFIX%: Checking for ifix files ...  >> "%IFIX_LOG%"
  if NOT EXIST "%~dp0voiceTest.jar" goto missing
 
  @echo ifix_%IFIX%: Ifix files found.. proceeding to install ifix
  @echo ifix_%IFIX%: Ifix files found.. proceeding to install ifix >> "%IFIX_LOG%"
  @mkdir %WVS_ROOT%\ifix\%IFIX%

  @rem ----------------------------------------------------------------------------------
  @rem ---- back up and replace files
  @rem ----------------------------------------------------------------------------------  
  copy /y "%~dp0ifix_%IFIX%.bat" "%WVS_ROOT%\ifix\."                                     >> "%IFIX_LOG%"
  copy /y "%WVS_ROOT%\lib\voiceTest.jar" "%WVS_ROOT%\ifix\%IFIX%\voiceTest.jar.bak"      >> "%IFIX_LOG%"
  copy /y "%~dp0voiceTest.jar"   "%WVS_ROOT%\lib\."   >> "%IFIX_LOG%"
  
  echo.
  echo.
  echo ifix_%IFIX%: Ifix is now installed
  echo ifix_%IFIX%: Ifix is now installed  >> "%IFIX_LOG%"
  goto:EOF

  @rem else
:missing
  echo.
  echo ifix_%IFIX%: Ifix files missing, please be sure this script is in same directory as the binary files
  echo.
  goto:EOF
  

:uninstallparm

  if NOT "%uninstalloption%" == "true" goto :EOF
  @rem # Check that the ifix backup files are found
  echo ifix_%IFIX%: Checking for ifix backup files ...
  echo ifix_%IFIX%: Checking for ifix backup files ... >> "%IFIX_LOG%"

  if not exist %WVS_ROOT%\ifix\%IFIX%\voiceTest.jar.bak goto:unmissing
  echo ifix_%IFIX%: Ifix backup files found.. proceeding to un-install ifix
  echo ifix_%IFIX%: Ifix backup files found.. proceeding to un-install ifix >> "%IFIX_LOG%"
  copy /y "%WVS_ROOT%\ifix\%IFIX%\voiceTest.jar.bak"  "%WVS_ROOT%\lib\voiceTest.jar"            >> "%IFIX_LOG%"

  echo.
  echo.
  echo ifix_%IFIX%: Ifix is now uninstalled
  echo ifix_%IFIX%: Ifix is now uninstalled  >> "%IFIX_LOG%"

  goto :END

:unmissing
  echo ifix_%IFIX%: Ifix backup files missing, uninstall not performed

popd
:END


